spring:
  data:
    redis:
      host: 127.0.0.1
      port: 6379
      password: Dev@123456
      database: 0
      lettuce:
        shutdown-timeout: 100ms
        pool:
          min-idle: 5
          max-idle: 10
          max-active: 8
          max-wait: 1ms
    mongodb:
      primary:
        host: localhost
        database: "reghao_tnb_rdb"
        authentication-database: admin
        username: dev
        password: Dev@123456
      secondary:
        host: localhost
        database: "reghao_spider_rdb"
        authentication-database: admin
        username: dev
        password: Dev@123456
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
    first:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://127.0.0.1/reghao_atest_rdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC
      username: test
      password: Test@123456
      configuration:
        maximum-pool-size: 30
    second:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://127.0.0.1/reghao_oss_rdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=UTC
      username: dev
      password: Dev@123456
      configuration:
        maximum-pool-size: 20
    third:
      driver-class-name: org.apache.derby.jdbc.EmbeddedDriver
      url: jdbc:derby:derby.db;create=true
      username: dev
      password: Dev@123456
    fourth:
      driver-class-name: org.sqlite.JDBC
      url: jdbc:sqlite:sqlite.db